SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001346SiT!outbound emailpublic2010-06-17 11:172011-06-03 22:11
Reportersancho78rus 
Assigned ToTomse 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformLinuxOSLinuxOS Version2.6+later
Product Version3.61 LTS 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001346: Bad mail format
DescriptionOutlook recieves mail in bad format. Cirillic is ok, but all text is in one narrow column. See attache.
In The Bat! its ok.
TagsNo tags attached.
Attached Filesjpg file icon 111111111111Untitled-1.jpg [^] (120,715 bytes) 2010-06-17 11:17


png file icon qp-lf.png [^] (59,366 bytes) 2011-06-03 22:06

- Relationships

-  Notes
User avatar (0003253)
ivan (administrator)
2010-06-17 11:49
edited on: 2010-06-17 11:49

Could you try sending a mail from your SiT! installation to test[at]sitracker[dot]org ? I can take a look at the raw mail format. Thanks.

(0003254)
sancho78rus (reporter)
2010-06-17 11:59

sent
User avatar (0003255)
ivan (administrator)
2010-06-17 13:12

Need to investigate this further, but on first glance it appears as if the text in the raw email is being word-wrapped after the quoted-printable encoding rather than before.
(0003270)
sancho78rus (reporter)
2010-06-25 19:52

may be it helps...
as you can see on the picture text formats in one column. and sometimes every string ends with "="
(0003379)
avdheiden (reporter)
2010-08-27 14:25

I was asked by Tomse (Sit Developer) to post some info here. I've a situation that is probably related to the bug described here.

I've been using SiT 3.61 for some time now. We recently upgraded oud Groupwise 7.03 (Linux) mailserver to Groupwise 8.01.
After this, we noticed that some lines were broken of at an incorrect point and in these cases an '=' sign appeared.

At the suggestion of Tomse we've tried to let SiT use postfix and then relaying over the Groupwise Internet Agent. The '=' signs disappeared but still, the lines are ended at random points.

Hope this helps and hope you can help me.
User avatar (0003533)
ivan (administrator)
2011-01-06 17:53

quoted-printable encoding really doesn't seem to work well with some email clients, line breaks seem to be in the wrong places. Base64 encoding seems to work better. I think we should have a config variable for choosing encoding and line feed type.
User avatar (0003534)
paulh (administrator)
2011-01-11 09:07

Tom has reported this when the mail is received in gmail
User avatar (0003808)
Tomse (developer)
2011-06-01 14:29

We've talked to another user who used groupwise, it seems Base64 is better for groupwise than quoted-printable.

so a setting is most definately useful.
(0003809)
sancho78rus (reporter)
2011-06-01 17:03

is there some workaround now?
our mails looks bad for most our clients.
User avatar (0003810)
Tomse (developer)
2011-06-01 17:47

hello sancho78

in line 551 (of v3.63p1) of incident_email.php you can try and change quoted-printable to base64 see if that works for you :-)
User avatar (0003812)
Tomse (developer)
2011-06-02 11:50

fixed in git: a59d062 and ddfac8b - added a config page to switch between QP or base64
(0003815)
sancho78rus (reporter)
2011-06-03 11:49

it does not help.
the mail format is still like on screenshot.
please help...
User avatar (0003816)
Tomse (developer)
2011-06-03 15:40

try replacing it in lib/functions.inc.php file too search for quoted-printable, and the line should look the same as what you saw in incident_email file
User avatar (0003817)
Tomse (developer)
2011-06-03 15:41

Marking it fixed again, as this is fixed for v3.90 and not 3.6x
User avatar (0003820)
ivan (administrator)
2011-06-03 22:07

Added a screenshot from gmail of an email sent to SiT! with russian text. This is from 3.90 (git) with the outgoing mail settings quoted-printable and LF.

- Issue History
Date Modified Username Field Change
2010-06-17 11:17 sancho78rus New Issue
2010-06-17 11:17 sancho78rus File Added: 111111111111Untitled-1.jpg
2010-06-17 11:49 ivan Note Added: 0003253
2010-06-17 11:49 ivan Note Edited: 0003253 View Revisions
2010-06-17 11:49 ivan Status new => feedback
2010-06-17 11:59 sancho78rus Note Added: 0003254
2010-06-17 11:59 sancho78rus Status feedback => new
2010-06-17 13:12 ivan Note Added: 0003255
2010-06-17 13:12 ivan Status new => confirmed
2010-06-25 19:52 sancho78rus Note Added: 0003270
2010-08-27 14:25 avdheiden Note Added: 0003379
2011-01-06 17:53 ivan Note Added: 0003533
2011-01-06 17:55 ivan Target Version => 4.0
2011-01-11 09:07 paulh Note Added: 0003534
2011-02-14 13:21 ivan Target Version 4.0 => 3.90beta1
2011-06-01 14:28 Tomse Assigned To => Tomse
2011-06-01 14:28 Tomse Status confirmed => assigned
2011-06-01 14:29 Tomse Note Added: 0003808
2011-06-01 17:03 sancho78rus Note Added: 0003809
2011-06-01 17:47 Tomse Note Added: 0003810
2011-06-02 11:50 Tomse Note Added: 0003812
2011-06-02 11:50 Tomse Status assigned => resolved
2011-06-02 11:50 Tomse Fixed in Version => Current GIT
2011-06-02 11:50 Tomse Resolution open => fixed
2011-06-03 11:49 sancho78rus Note Added: 0003815
2011-06-03 11:49 sancho78rus Status resolved => feedback
2011-06-03 11:49 sancho78rus Resolution fixed => reopened
2011-06-03 15:40 Tomse Note Added: 0003816
2011-06-03 15:41 Tomse Note Added: 0003817
2011-06-03 15:41 Tomse Status feedback => resolved
2011-06-03 15:41 Tomse Resolution reopened => fixed
2011-06-03 22:06 ivan File Added: qp-lf.png
2011-06-03 22:07 ivan Note Added: 0003820


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker